local metadata = {
"## Interface:FS15 1.4.2.0 1.4.2RC1",
"## Title: fixServiceTrailer",
"## Notes: removed Trigge, hidde Warning: Deleting object ... before all triggers are removed.",
"## Author: Marhu",
"## Version: 1.0.0-2",
"## Date: 18.02.2016",
"## Web: http://marhu.net"
} 

fixServiceTrailer = {};

function fixServiceTrailer.prerequisitesPresent(specializations)
    return true;
end;

function fixServiceTrailer:load(xmlFile)
	self.fixTrigger = {};
	
	local baseKey = "vehicle.fixServiceTrailer.";
	local i=0;
	while true do
		local Key = string.format(baseKey.."FillTrigger(%d)", i);
		if not hasXMLProperty(xmlFile, Key) then
			break;
		end;
		local trigger = Utils.indexToObject(self.components, getXMLString(xmlFile, Key.."#Index"));
		if trigger ~= nil then
			self.fixTrigger[trigger] = trigger;
		end
		i = i + 1;
	end
	i=0;
	while true do
		local Key = string.format(baseKey.."GasStationTrigger(%d)", i);
		if not hasXMLProperty(xmlFile, Key) then
			break;
		end;
		local trigger = Utils.indexToObject(self.components, getXMLString(xmlFile, Key.."#Index"));
		if trigger ~= nil then
			self.fixTrigger[trigger] = trigger;
		end
		i = i + 1;
	end
end;

function fixServiceTrailer:delete()
	for k,v in pairs(self.fixTrigger) do
		 removeTrigger(v);
	end
end;

function fixServiceTrailer:mouseEvent(posX, posY, isDown, isUp, button)
end;

function fixServiceTrailer:keyEvent(unicode, sym, modifier, isDown)
end;

function fixServiceTrailer:update(dt)
end;

function fixServiceTrailer:updateTick(dt)
end;

function fixServiceTrailer:draw()
end;